# alloc_func.cpp File Reference

functions to 'handle' memory allocation errors More...

`#include "../stdafx.h"`
`#include "alloc_func.hpp"`

Go to the source code of this file.

## Functions

void | MallocError (size_t size)
| Function to exit with an error message after malloc() or calloc() have failed.
void | ReallocError (size_t size)
| Function to exit with an error message after realloc() have failed.

## Detailed Description

functions to 'handle' memory allocation errors

Definition in file alloc_func.cpp.

## Function Documentation

void MallocError | ( | size_t | size | ) |

Function to exit with an error message after malloc() or calloc() have failed.

Functions to exit badly with an error message.

Parameters:

  | size | number of bytes we tried to allocate

Definition at line 12 of file alloc_func.cpp.

References error.

Referenced by CallocT(), and MallocT().

void ReallocError | ( | size_t | size | ) |

Function to exit with an error message after realloc() have failed.

Parameters:

  | size | number of bytes we tried to allocate

Definition at line 21 of file alloc_func.cpp.

References error.

Referenced by ReallocT().